Skip to content
Pile
Esc
navigateopen⌘Jpreview

List support ticket events

GET/workspaces/{organizationId}/support/tickets/{ticketId}/events
Path parameters
organizationIdstringrequired
ticketIdstringrequired
Query parameters
limitinteger
min 1 · max 100 · default: 20
cursorstring
Responses
200Ticket events
eventsobject[]required
Show properties
Array of object
idstringrequired
ticketIdstringrequired
typestringrequired
subTypestring | nullrequired
actorTypestringrequired
actorIdstring | nullrequired
metadatastring | nullrequired
externalIdstring | nullrequired
createdAtstringrequired
messageobject
Show properties
idstringrequired
eventIdstringrequired
directionstringrequired
Allowed:inboundoutbound
textContentstringrequired
markdownContentstring | nullrequired
channelstringrequired
Allowed:emailslackmsteamsdiscordchatcaptureapiintercomzendeskplainlinear
customerIdstring | nullrequired
userIdstring | nullrequired
noteobject
Show properties
idstringrequired
eventIdstringrequired
bodystringrequired
nextCursorstring | nullrequired
Try it
Server
Parameters
Request
curl -X GET "/workspaces/string/support/tickets/string/events"
Response
{
  "events": [
    {
      "id": "string",
      "ticketId": "string",
      "type": "string",
      "subType": "string",
      "actorType": "string",
      "actorId": "string",
      "metadata": "string",
      "externalId": "string",
      "createdAt": "string",
      "message": {
        "id": "string",
        "eventId": "string",
        "direction": "inbound",
        "textContent": "string",
        "markdownContent": "string",
        "channel": "email",
        "customerId": "string",
        "userId": "string"
      },
      "note": {
        "id": "string",
        "eventId": "string",
        "body": "string"
      }
    }
  ],
  "nextCursor": "string"
}